Browse Source

minor fix, minor improvements, adding git stuff

Emmanuel Bouthenot 17 years ago
parent
commit
ae365bc832
9 changed files with 123 additions and 197 deletions
  1. 3 1
      .emacs
  2. 13 0
      .gitconfig
  3. 3 1
      .mailfilter
  4. 5 5
      .muttng/conf/macros
  5. 74 72
      .muttng/conf/mailboxes
  6. 15 8
      .muttngrc
  7. 10 2
      .zsh.d/config.d/alias.zsh
  8. 0 104
      .zsh.d/config.d/cliupd.zsh
  9. 0 4
      .zsh.d/config.d/devel.zsh

+ 3 - 1
.emacs

@@ -167,6 +167,9 @@
 ;; cyclebuffer.el is available in debian package emacs-goodies-el
 (global-set-key [f1] 'cyclebuffer-backward)
 (global-set-key [f2] 'cyclebuffer-forward)
+(global-set-key [f11] 'cyclebuffer-backward)
+(global-set-key [f12] 'cyclebuffer-forward)
+
 
 ;; easy navigation between windows
 (global-set-key "\C-n" 'other-window)
@@ -300,4 +303,3 @@
 
 (global-set-key "\C-xi" 'indent-region-with-tab)
 (global-set-key "\C-xj" 'unindent-region-with-tab)
-

+ 13 - 0
.gitconfig

@@ -0,0 +1,13 @@
+[user]
+	name=Emmanuel Bouthenot
+	email=kolter@openics.org
+[diff]
+	color=auto
+[branch]
+	color=auto
+[pager]
+	color=true
+[status]
+	color=auto
+[log]
+	color=auto

+ 3 - 1
.mailfilter

@@ -4,7 +4,9 @@ MAILDIR="/home/manu/Mail/imap"
 MAILDIRMAKE="/usr/bin/maildirmake"
 VERBOSE=9
 
-logfile "/home/manu/logs/maildrop/maildrop.log"
+MAILDROP_OLD_REGEXP=1
+
+logfile "/home/manu/Admin/logs/maildrop/maildrop.log"
 
 ### Debian Lists
 if (/^List-Id: <debian-!.*!\.lists\.debian\.org>.*$/)

+ 5 - 5
.muttng/conf/macros

@@ -11,11 +11,11 @@
 
 macro generic \em	"<enter-command>source ~/.muttrc<enter>"	"Reloading muttng's configuration"
 
-macro index,pager <f1>	"<change-folder> =INBOX<enter>"			"Change folder for INBOX"
-macro index,pager <f2>	"<change-folder> =Sent<enter>"			"Change folder for Sent"
-macro index,pager <f3>	"<change-folder> =Draft<enter>"			"Change folder for Draft"
-macro index,pager <f4>	"<change-folder> =Spam<enter>"			"Change folder for Spam"
-macro index,pager <f5>	"<change-folder> =Trash<enter>"			"Change folder for Trash"
+macro index,pager <f1>	"<change-folder> =<enter>"			"Change folder for INBOX"
+macro index,pager <f2>	"<change-folder> =.Sent<enter>"			"Change folder for Sent"
+macro index,pager <f3>	"<change-folder> =.Draft<enter>"		"Change folder for Draft"
+macro index,pager <f4>	"<change-folder> =.Spam<enter>"			"Change folder for Spam"
+macro index,pager <f5>	"<change-folder> =.Trash<enter>"		"Change folder for Trash"
 
 macro index,pager B	"<enter-command>toggle sidebar_visible<enter>"	"Toggle sidebar visibility"
 

+ 74 - 72
.muttng/conf/mailboxes

@@ -9,78 +9,80 @@
 # Mailboxes settings for Muttng.
 #
 
-mailboxes =INBOX
-mailboxes =Draft
-mailboxes =Sent
-mailboxes =Spam
-mailboxes =Trash
-
-mailboxes =sys.dak
-mailboxes =sys.reports
-mailboxes =sys.infos
-
-mailboxes =my.misc
-
-mailboxes =my.soft.weechat.ml.cvs
-mailboxes =my.soft.weechat.ml.dev
-
-mailboxes =my.soft.debian.misc
-mailboxes =my.soft.debian.asso
-mailboxes =my.soft.debian.bts
-mailboxes =my.soft.debian.pkg.ffproxy
-mailboxes =my.soft.debian.pkg.kio-apt
-mailboxes =my.soft.debian.pkg.kwin-style-knifty
-mailboxes =my.soft.debian.pkg.incron
-mailboxes =my.soft.debian.pkg.hiawatha
-#mailboxes =my.soft.debian.pkg.dudki
-#mailboxes =my.soft.debian.pkg.konqburn
-
-#mailboxes =my.soft.kde
-
-mailboxes =my.ml.asyd.sysadmin
-mailboxes =my.ml.asyd.shell
-mailboxes =my.ml.asyd.emacs
-
-mailboxes =my.soft.abul.admin
-mailboxes =my.ml.abul.asso
-mailboxes =my.ml.abul.tech
-mailboxes =my.ml.abul.debutants
-mailboxes =my.ml.abul.blahblah
-mailboxes =my.ml.abul.annonces
-mailboxes =my.ml.abul.party
-mailboxes =my.ml.abul.devel
-
-
-mailboxes =my.ml.debian.france.asso
-mailboxes =my.ml.debian.france.sl
-
-mailboxes =my.ml.debian.announce
-mailboxes =my.ml.debian.project
-mailboxes =my.ml.debian.vote
-mailboxes =my.ml.debian.security
-mailboxes =my.ml.debian.security-announce
-
-mailboxes =my.ml.debian.devel-announce
-mailboxes =my.ml.debian.devel
-mailboxes =my.ml.debian.devel-french
-mailboxes =my.ml.debian.mentors
-mailboxes =my.ml.debian.devel-changes
-mailboxes =my.ml.debian.user-french
-mailboxes =my.ml.debian.news-french
-
-mailboxes =my.ml.debian.hurd
-mailboxes =my.ml.hurd.hurdfr
-
-mailboxes =computer.fon
-mailboxes =computer.shop.ebay
-mailboxes =computer.paypal
-
-mailboxes =friends.tbs.tiacfooting
-mailboxes =friends.all.jm
-mailboxes =friends.all.ge
-
-mailboxes =my.pro.jobs
-
+mailboxes = '+.Draft'
+mailboxes = '+.Sent'
+mailboxes = '+.Spam'
+mailboxes = '+.Trash'
+
+mailboxes = '+.sys.dak'
+mailboxes = '+.sys.reports'
+mailboxes = '+.sys.infos'
+
+mailboxes = '+.my.misc'
+
+mailboxes = '+.my.soft.weechat.ml.cvs'
+mailboxes = '+.my.soft.weechat.ml.dev'
+
+mailboxes = '+.my.soft.debian.misc'
+mailboxes = '+.my.soft.debian.asso'
+mailboxes = '+.my.soft.debian.bts'
+mailboxes = '+.my.soft.debian.pkg.ffproxy'
+mailboxes = '+.my.soft.debian.pkg.kio-apt'
+mailboxes = '+.my.soft.debian.pkg.kwin-style-knifty'
+mailboxes = '+.my.soft.debian.pkg.incron'
+mailboxes = '+.my.soft.debian.pkg.hiawatha'
+#mailboxes = '+.my.soft.debian.pkg.dudki'
+#mailboxes = '+.my.soft.debian.pkg.konqburn'
+
+#mailboxes = '+.my.soft.kde'
+
+mailboxes = '+.my.ml.asyd.sysadmin'
+mailboxes = '+.my.ml.asyd.shell'
+mailboxes = '+.my.ml.asyd.emacs'
+
+mailboxes = '+.my.ml.abul.misc'
+mailboxes = '+.my.ml.abul.admin'
+mailboxes = '+.my.ml.abul.asso'
+mailboxes = '+.my.ml.abul.tech'
+mailboxes = '+.my.ml.abul.debutants'
+mailboxes = '+.my.ml.abul.blahblah'
+mailboxes = '+.my.ml.abul.annonces'
+mailboxes = '+.my.ml.abul.party'
+mailboxes = '+.my.ml.abul.devel'
+
+
+mailboxes = '+.my.ml.debian.france.asso'
+mailboxes = '+.my.ml.debian.france.sl'
+
+mailboxes = '+.my.ml.debian.announce'
+mailboxes = '+.my.ml.debian.project'
+mailboxes = '+.my.ml.debian.vote'
+mailboxes = '+.my.ml.debian.security'
+mailboxes = '+.my.ml.debian.security-announce'
+
+mailboxes = '+.my.ml.debian.devel-announce'
+mailboxes = '+.my.ml.debian.devel'
+mailboxes = '+.my.ml.debian.devel-french'
+mailboxes = '+.my.ml.debian.mentors'
+mailboxes = '+.my.ml.debian.devel-changes'
+mailboxes = '+.my.ml.debian.user-french'
+mailboxes = '+.my.ml.debian.news-french'
+
+mailboxes = '+.my.ml.debian.hurd'
+mailboxes = '+.my.ml.hurd.hurdfr'
+
+mailboxes = '+.computer.fon'
+mailboxes = '+.computer.shop.ebay'
+mailboxes = '+.computer.paypal'
+
+mailboxes = '+.friends.tbs.tiacfooting'
+mailboxes = '+.friends.all.alexis'
+mailboxes = '+.friends.all.jm'
+mailboxes = '+.friends.all.ge'
+
+mailboxes = '+.my.pro.jobs'
+
+mailboxes nntp://news.free.fr/proxad.dedibox.discussions
 mailboxes nntp://news.free.fr/proxad.dedibox.discussions.securite
 mailboxes nntp://news.free.fr/proxad.dedibox.annonces
 mailboxes nntp://news.free.fr/proxad.dedibox.maintenances

+ 15 - 8
.muttngrc

@@ -19,13 +19,21 @@ alternates          "kolter|emmanuel\.bouthenot|openics\.org|netconfig|bouthenot
 set locale          = "fr_FR.UTF-8"
 set charset         = "utf-8"
 
-set folder          = "imap://127.0.0.1"
-set mbox            = "imap://127.0.0.1/INBOX"
-set spoolfile       = "imap://127.0.0.1/INBOX"
-set record          = "imap://127.0.0.1/Sent"     # where to save sent mails
-set postponed       = "imap://127.0.0.1/Draft"    # where to save drafts
-
-source              ~/.muttngrc-imapauth          # get authentication params for imap
+#set folder          = "imap://127.0.0.1"
+#set mbox            = "imap://127.0.0.1/INBOX"
+#set spoolfile       = "imap://127.0.0.1/INBOX"
+#set record          = "imap://127.0.0.1/Sent"     # where to save sent mails
+#set postponed       = "imap://127.0.0.1/Draft"    # where to save drafts
+
+#source              ~/.muttngrc-imapauth          # get authentication params for imap
+
+set mbox_type        = Maildir
+set folder           = "~/Mail/imap"
+set mask             = "^\\.[^.]"
+set mbox             = "~/Mail/imap"
+set record           = "+.Sent"
+set postponed        = "+.Drafts"
+set spoolfile        = "~/Mail/imap"
 
 set header_cache    = ~/.muttng/cache
 set tmpdir          = ~/.muttng/tmp
@@ -86,7 +94,6 @@ set sort             = reverse-threads
 #set sort            = threads                     # Sort by threads
 #set sort_aux        = reverse-date                # Then sort by date
 
-mailboxes           "imap://127.0.0.1"
 source              ~/.muttng/conf/mailboxes
 
 source              ~/.muttng/conf/headers           # Configure header display.

+ 10 - 2
.zsh.d/config.d/alias.zsh

@@ -16,7 +16,15 @@ alias zconf="source ~/.zshrc"
 
 [ -x "$(whence ccze)" ] && alias lm="tail -n 60 -f /var/log/syslog | ccze"
 [ -x "$(whence pydf)" ] && alias df="pydf -h"
-[ -x "$(whence most)" ] && export PAGER=most && alias more='most' && alias less='most'
-[ -x "$(whence colorgcc)" ] && export CC="colorgcc"
+[ -x "$(whence colormake)" ] && alias make="colormake"
 
+# git stuff
+[ -z "$GIT_PAGER" ] && [ -x =less ] && export GIT_PAGER=less
+[ -z "$GIT_PAGER" ] && [ -x =more ] && export GIT_PAGER=more
+[ -z "$GIT_PAGER" ] && export GIT_PAGER=cat
 
+alias git="PAGER=$GIT_PAGER git"
+unset GIT_PAGER
+
+#pager stuff
+[ -x "$(whence most)" ] && export PAGER=most && alias more='most' && alias less='most'

+ 0 - 104
.zsh.d/config.d/cliupd.zsh

@@ -1,104 +0,0 @@
-
-P_DARCS_SRV=http://darcs.openics.org
-P_DARCS_REP=kolter-dot-files
-P_LOG=darcs-$P_DARCS_REP.log
-P_TMPD=/tmp
-
-
-pdarcs_disp_log () {
-    echo
-    echo "                                              | ERRORS |"
-    echo "---8<---------------------------------------------------"
-    cat $P_LOG
-    echo "--------------------------------------------------->8---"
-    echo
-}
-
-
-pdarcs_md5_diff () {
-    # return 1 if different, 0 else
-
-    _MD5SUM=$(whence md5sum)
-    _MD5=$(whence md5)
-
-    if [ -x "$_MD5SUM" ]; then
-	MD5_1=$($_MD5SUM $1 |cut -d' ' -f1)
-	MD5_2=$($_MD5SUM $2 |cut -d' ' -f1)
-    elif [ -x "$_MD5" ]; then
-	MD5_1=$($_MD5 -q $1)
-	MD5_2=$($_MD5 -q $2)
-    else
-	MD5_1=1
-	MD5_2=2
-    fi
-    
-    if [ "$MD5_1" = "$MD5_2" ]; then
-	echo 0
-    else
-	echo 1
-    fi
-}
-
-pdarcs_clicnf_upd () {
-    PREV_CWD=$(pwd)
-    echo "**** updating files from '$P_DARCS_REP' ****"
-    echo
-
-    [ -n "$TMPDIR" ] && P_TMPD=$TMPDIR
-    cd $P_TMPD
-    echo "  -> using temp directory '$P_TMPD'"
-
-    echo -n "  -> deleting any previous darcs repository local copy '$P_DARCS_REP' ...  "
-    rm -rf $P_DARCS_REP >/dev/null 2>&1
-    [ $? = 0 ] && echo "[OK]" || echo "[FAILED]"
-    
-    echo -n "  -> getting darcs repository '$P_DARCS_SRV/$P_DARCS_REP/' ...  "
-    darcs get $P_DARCS_SRV/$P_DARCS_REP/ > $P_LOG 2>&1
-    [ $? != 0 ] && echo "[FAILED]" && pdarcs_disp_log && exit 1
-    echo "[OK]"
-    
-    echo -n "  -> changing directory '$P_DARCS_REP' ...  "
-    cd $P_DARCS_REP >/dev/null 2>&1
-    [ $? = 0 ] && echo "[OK]" || echo "[FAILED]"
-    
-    echo -n "  -> cleaning directory ...  "
-    rm -rf _darcs >/dev/null 2>&1
-    [ $? = 0 ] && echo "[OK]" || echo "[FAILED]"
-    
-    for d in $(find -not -name . -type d | xargs) ; do
-	dir=$HOME/$d
-	[ -d "$dir" ] && continue
-	echo -n "  -> creating directory '$dir' ...  "
-	mkdir -p $dir >/dev/null 2>&1
-	[ $? = 0 ] && echo "[OK]" || echo "[FAILED]"
-    done
-    
-    for f in $(find -not -name . -not -type d | xargs) ; do
-	file=$HOME/$f
-	upd=0
-	[ ! -e "$file" ] && upd=1
-	if [ $upd = 0 ]; then
-	    upd=$(pdarcs_md5_diff $f $file)
-	fi
-	if [ $upd = 1 ]; then
-	    echo -n "  -> updating file '$file' ...  "
-	    rm -f $file >/dev/null 2>&1
-	    cp -f $f $file >/dev/null 2>&1
-	    [ $? = 0 ] && echo "[OK]" || echo "[FAILED]"
-	fi
-    done
-    
-    echo -n "  -> changing directory for parent directory ...  "
-    cd .. >/dev/null 2>&1
-    [ $? = 0 ] && echo "[OK]" || echo "[FAILED]"
-
-    echo -n "  -> deleting darcs repository local copy '$P_DARCS_REP' ...  "
-    rm -rf $P_DARCS_REP $P_LOG >/dev/null 2>&1
-    [ $? = 0 ] && echo "[OK]" || echo "[FAILED]"
-    
-    cd $PREV_CWD >/dev/null 2>&1
-    echo
-    echo "**** end ****"
-}
-
-alias cliupd="pdarcs_clicnf_upd"

+ 0 - 4
.zsh.d/config.d/devel.zsh

@@ -8,7 +8,3 @@ compdef _cvs weecvs
 # kpkgmanager / kio-apt stuff
 alias kpmcvs="cvs -z3 -d:ext:kolterox@kpkgmanager.cvs.sourceforge.net:/cvsroot/kpkgmanager"
 compdef _cvs kpmcvs
-
-# Darcs Stuff
-alias dcs="darcs"
-compdef _darcs dcs